Download it now!
Bug 66281 - underbrace and overbrace are not stretchy when exported to MathML
Summary: underbrace and overbrace are not stretchy when exported to MathML
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Frédéric Wang
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-27 21:33 UTC by Frédéric Wang
Modified: 2013-07-03 10:43 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
testcase (599 bytes, text/html)
2013-06-27 21:52 UTC, Frédéric Wang
Details
New output (596 bytes, text/html)
2013-06-30 09:13 UTC, Frédéric Wang
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Wang 2013-06-27 21:33:52 UTC
Testcase:

{aaaaa overbrace bbbbb} underbrace {ccccc} 

the horizontal braces should stretch. This seems to be the same issue as bug 66024: the operators should have stretchy="true". See also the related bug 66279.
Comment 1 Jorendc 2013-06-27 21:38:44 UTC
Although I can't see the little differences in this bug when comparing to your other bugs mentioned in the Description... But due the fact you are an expert and you know what you are doing -> NEW :)
Comment 2 Frédéric Wang 2013-06-27 21:52:54 UTC
Created attachment 81587 [details]
testcase

Here is the page currently generated for the testcase above. As you can see in Firefox, the braces do not strech whereas in LibreOffice they stretch to cover the "aaaaaa".

This can be fixed either by using an explicit stretchy="true" (as in bug 66024 but for horizontal braces rather than accents) or by removing the explicit stretchy="false" (always generated as said in bug 66279). Well, it's true that the bugs are really similar/related and could have been grouped into a single one, but let's handle them separately.
Comment 3 Frédéric Wang 2013-06-27 21:55:30 UTC
Mass changes to assign bugs to myself.
Comment 4 Frédéric Wang 2013-06-30 09:13:07 UTC
Created attachment 81732 [details]
New output

I've submitted a patch for review:

https://gerrit.libreoffice.org/#/c/4629/

I attach a HTML page with the new output.
Comment 5 Commit Notification 2013-07-02 09:09:07 UTC
Frederic Wang committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e58d721709bd4e255f70cc824cd484cd1a1ec32d

 fdo#66281 - make underbrace/overbrace stretchy in MathML export



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Jorendc 2013-07-02 09:15:19 UTC
Thanks :)!
Comment 7 Commit Notification 2013-07-03 10:43:13 UTC
Frederic Wang committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=477f5880039830885b12831ba2995e63953384aa

 fdo#66281 - followup: fix a comment for overbrace.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.